# Command: Nest

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Nest - apply a function n times

Synopsis:

    x f n Nest -> f( ...n times... f(f(x)) ...)
      Examples:0.2 {dup 1 exch sub mul 3.3 mul} 10 Nest

Author:

    Diesmann

FirstVersion:

    9.2.01
      Remarks:Nest is a restricted variant of repeat.
      It is implemented to demonstrate the use of repeat as a
      functional operator and for compatibility with Mathematica.

SeeAlso:

- repeat
- forall
- NestList
- Fold

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative